Batman - The Telltale Series

Batman - The Telltale Series

Support

How do I know if my iOS device is supported to run Batman: The Telltale Series?

The following devices are officially supported to run the game application:

  • iPhone 6 and up (including iPhone SE)
  • iPad Mini 4 and up
  • iPad Air 2 and up
  • iPad Pro and up

We also require a minimum of iOS 8.0 and up on these devices.